Inhalte
Index 🔎︎

# Add-in-Funktionen

Im Folgenden werden einige der verfügbaren Add-in-Funktionen aufgeführt und erläutert.

Add-in-Konzept

In der Hilfe finden Sie auch eine Beschreibung der LibreOffice Calc-Add-in-Schnittstelle. Darüber hinaus sind dort die für eine Shared Library LibreOffice Calc-Add-in-DLL benötigten Funktionen und ihre Parameter beschrieben.

## Die mitgelieferten Add-ins

LibreOffice enthält Beispiele für die Add-in-Schnittstelle von LibreOffice Calc.

Analysis-Funktionen Teil 1

Analysis-Funktionen Teil 2

## ISTSCHALTJAHR

Hier wird ermittelt, ob das Jahr eines Datums ein Schaltjahr ist. Ist das der Fall, liefert diese Funktion den Wert 1 (WAHR), anderenfalls 0 (FALSCH).

#### Syntax

ISTSCHALTJAHR(Datum)

Datum gibt an, ob ein gegebenes Datum in ein Schaltjahr fällt. Der Parameter Datum muss ein gültiges Datum sein.

#### Beispiel

=ISTSCHALTJAHR(A1) ergibt 1, wenn A1 die Zahlenfolge 1968-02-29 enthält, das in Ihren lokalen Einstellungen gültige Datum für den 29. Februar 1968.

Sie können auch =ISTSCHALTJAHR(DATUM(1968;2;29)) oder =ISTSCHALTJAHR("1968-02-29"), in der ISO 8601-Schreibweise, verwenden.

Verwenden Sie nie =ISTSCHALTJAHR(2/29/68), wodurch zuerst 2 durch 29 und 68 dividiert wird und dann aus der kleinen Zahl, die sich aus der Division ergibt, die Funktion ISTSCHALTJAHR als serieller Wert für Datumsangaben berechnet wird.

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.ISLEAPYEAR

## JAHRE

Bestimmt die Jahresdifferenz zweier Daten.

#### Syntax

JAHRE(Anfangsdatum; Enddatum; Typ)

Anfangsdatum ist das erste Datum

Enddatum ist das zweite Datum

Typ berechnet den Differenztyp. Mögliche Werte sind 0 (Intervall) und 1 (in Kalenderjahren).

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.YEARS

## MONATE

Bestimmt die Monatsdifferenz zweier Daten.

#### Syntax

MONATE(Anfangsdatum; Enddatum; Typ)

Anfangsdatum ist das erste Datum

Enddatum ist das zweite Datum

Typ berechnet den Differenztyp. Mögliche Werte sind 0 (Intervall) und 1 (in Kalendermonaten).

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.MONTHS

## ROT13

Verschlüsselt eine Zeichenfolge durch Verschiebung der Zeichen um 13 Zeichen im Alphabet. Nach dem Buchstaben Z wird das Alphabet erneut durchlaufen (Rotation). Durch erneutes Anwenden der Verschlüsselungsfunktion auf den entstandenen Code kann der Text wieder entschlüsselt werden.

#### Syntax

ROT13(Text)

Text ist die Zeichenfolge, die verschlüsselt werden soll. ROT13(ROT13(Text)) entschlüsselt den Code.

#### Beispiel

=ROT13("Gur Qbphzrag Sbhaqngvba jheqr vz Frcgrzore 2010 trteüaqrg.") ergibt die Zeichenfolge "The Document Foundation wurde im September 2010 gegründet.". Beachten Sie, dass Leerzeichen, Ziffern, Punkte und Umlaute nicht von ROT13 beeinflusst werden.

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.ROT13

Lesen Sie für weitere Details über diese Funktion die Wikipedia-Seite ROT13 (in Englisch).

## TAGEIMJAHR

Hiermit berechnen Sie die Anzahl an Tagen in dem Jahr, in dem das eingegebene Datum eintritt.

#### Syntax

TAGEIMJAHR(Datum)

Datum ist ein Datum im entsprechenden Jahr. Der Parameter Datum muss entsprechend den lokalen Einstellungen von LibreOffice gültig sein.

#### Beispiel

=TAGEIMJAHR(A1) ergibt 366 Tage, wenn A1 die Zahlenfolge 1968-02-29 enthält, ein gültiges Datum im Jahr 1968.

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.DAYSINYEAR

## TAGEIMMONAT

Hiermit berechnen Sie die Anzahl an Tagen in dem Monat, in dem das eingegebene Datum eintritt.

#### Syntax

TAGEIMMONAT(Datum)

Datum ist ein Datum im entsprechenden Monat des betreffenden Jahres. Der Parameter Datum muss entsprechend den lokalen Einstellungen von LibreOffice gültig sein.

#### Beispiel

=TAGEIMMONAT(A1) ergibt 29 Tage, wenn A1 die Zahlenfolge 1968-02-17 ergibt, ein gültiges Datum im Februar 1968.

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.DAYSINMONTH

## WOCHEN

Bestimmt die Wochendifferenz zweier Daten.

#### Syntax

WOCHEN(Anfangsdatum; Enddatum; Typ)

StartDate is the start date in the interval.

EndDate is the end date in the interval. The end date must be greater than the start date, or else an error is returned.

Type specifies the type of difference to be calculated. Possible values are 0 (time interval) or 1 (calendar weeks).

If Type = 0 the function will assume that 7 days is equivalent to one week without considering any specific day to mark the beginning of a week.

If Type = 1 the function will consider Monday to be the first day of the week. Therefore, except for the start date, each occurrence of a Monday in the interval is counted as an additional week.

This function considers Monday to be the first day of the week regardless of the current locale settings.

#### Beispiel

In the following examples, dates are passed as strings. However, they can also be stored in separate cells and be passed as references.

=WEEKS("01/12/2022","01/17/2022",0) returns 0 because Type was set to 0 and there are only 5 days in the interval.

=WEEKS("01/12/2022","01/19/2022",0) returns 1 because Type was set to 0 and there are 7 days in the interval.

=WEEKS("01/12/2022","01/17/2022",1) returns 1 because Type was set to 1 and the interval contains a Monday, since 01/12/2022 is a Wednesday and 01/17/2022 is a Monday.

=WEEKS("01/10/2022","01/15/2022",1) returns 0 because Type was set to 1 and the interval does not contain any Mondays, except for the start date.

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.WEEKS

## WOCHENIMJAHR

Hiermit berechnen Sie die Anzahl an Wochen in dem Jahr, in dem das eingegebene Datum eintritt. Die Kalenderwoche ist dabei so definiert, dass die Woche zum Jahreswechsel dem Jahr zugerechnet wird, in dem die meisten Tage der Woche liegen.

#### Syntax

WOCHENIMJAHR(Datum)

Datum ist ein Datum im entsprechenden Jahr. Der Parameter Datum muss entsprechend den lokalen Einstellungen von LibreOffice gültig sein.

#### Beispiel

WOCHENIMJAHR(A1) ergibt 53, wenn A1 die Zahlenfolge 1970-02-17 enthält, ein gültiges Datum im Jahr 1970.

#### Technical information

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.WEEKSINYEAR

## Add-ins über die LibreOffice API

Add-ins lassen sich auch über die LibreOffice-API implementieren.

Verwandte Themen

Funktionen nach Kategorie